Bug 171573 - Biarch dependency problems.
Summary: Biarch dependency problems.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-23 14:32 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 02:20:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install log (15.46 KB, text/plain)
2005-10-23 14:32 UTC, David Woodhouse
no flags Details
Anaconda log with depsolving output (8.57 MB, text/plain)
2005-10-23 17:25 UTC, Paul Nasrat
no flags Details

Description David Woodhouse 2005-10-23 14:32:49 UTC
A clean install on ppc64 installed ppc32 pam, but not ppc32 cracklib, on which
that depends. This causes pam_cracklib.so to fail, so changing password always
fails.

Comment 1 David Woodhouse 2005-10-23 14:32:49 UTC
Created attachment 120287 [details]
install log

Comment 2 Paul Nasrat 2005-10-23 17:13:22 UTC
Casual inspection shows .so requires should pull in both:

libcrack.so.2
libcrack.so.2()(64bit)

21:28:18 INFO    : pam requires: cracklib
21:28:18 INFO    : Requiring package is from transaction set
21:28:18 INFO    : Resolving for requiring package: pam-0.80-11 in state u
21:28:18 INFO    : Resolving for requirement: cracklib
21:28:18 INFO    : Searching pkgSack for dep: cracklib
21:28:18 INFO    : Potential match for cracklib from cracklib - 2.8.5-2.ppc
21:28:18 INFO    : Matched cracklib - 2.8.5-2.ppc to require for cracklib
21:28:18 INFO    : Potential match for cracklib from cracklib - 2.8.5-2.ppc64
21:28:18 INFO    : Matched cracklib - 2.8.5-2.ppc64 to require for cracklib
21:28:18 INFO    : TSINFO: Marking cracklib - 2.8.5-2.ppc64 as install for pam

Dep Number: 2108/2355

21:28:34 INFO    : pam requires: libcrack.so.2()(64bit)
21:28:34 INFO    : Requiring package is from transaction set
21:28:34 INFO    : Resolving for requiring package: pam-0.80-11 in state u
21:28:34 INFO    : Resolving for requirement: libcrack.so.2()(64bit)
21:28:34 INFO    : Searching pkgSack for dep: libcrack.so.2()(64bit)
21:28:34 INFO    : Potential match for libcrack.so.2()(64bit) from cracklib -
2.8.5-2.ppc64
21:28:34 INFO    : Matched cracklib - 2.8.5-2.ppc64 to require for
libcrack.so.2()(64bit)
21:28:34 INFO    : cracklib already in ts, skipping this one
21:28:34 INFO    :



Comment 3 Paul Nasrat 2005-10-23 17:25:48 UTC
Created attachment 120293 [details]
Anaconda log with depsolving output

Comment 4 Jeremy Katz 2005-11-08 02:20:31 UTC
This should be fixed now


Note You need to log in before you can comment on or make changes to this bug.